Subject: [Shop-talk] Lawn mower replacement

From: Robert Nogueirao via Shop-talk <[email-masked]>
Date: Fri, 24 Jan 2020 10:45:46 -0600

I have a 32 inch Zero turn radius lawnmower ( Gravely) that my tool and equipment loving wife bought for me 12 years ago.  Does a great job and it is built literally like a tank, plate steel almost no sheet metal.  Well the. Engine is pretty  much ready to retire.  A replacement engine will cost about $1200.  For a bit more I could buy a new lawnmower but of much lower quality than the Gravely and not a zero turn, which I love.
So to my question anyone have experience with the pump and servos on a zero turn as to longevity?  I hate the thought of buying a replacement engine and having the pump or servo go out ($$$$.$$)

Bob Nogueira 
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive